MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003477ATutor- no cat -public2008-07-08 07:122008-11-14 08:22
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003477: Patcher: a couple of bugs
Description1. sql applied is not saved into db;
2. if a script is modified a few times by a patch, message to display backup on this script reports a few times, should be once;
3. operation on one file should be grouped into one <file> tag instead of many. many <file> sections on one same file triggers backup on this file many times. As the later backup overwrites previous backups, at the end, the original backup is lost. Solving this bug would solve bug 2.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003265)
cindy (administrator)
2008-10-29 10:16

SVN Revision: 8128

Affected scripts:
mods/_standard/patcher/index_admin.php
mods/_standard/patcher/classes/Patch.class.php

item 1 is solved by sending sql into patch summary array.

item 2,3 are solved by checking the existence of the backup file. Only backup if it doesn't exist. This also fix the problem that when a file is altered multiple times, the multiple backups on the same file overwrite each other, only the last backup is save which result is the loss of the first backup on the original scipt.

- Issue History
Date Modified Username Field Change
2008-07-08 07:12 cindy New Issue
2008-07-08 07:12 cindy Affects version => SVN
2008-07-08 07:12 cindy Assigned To => cindy
2008-07-08 07:12 cindy Status new => assigned
2008-10-29 10:16 cindy Status assigned => resolved
2008-10-29 10:16 cindy Resolution open => fixed
2008-10-29 10:16 cindy Note Added: 0003265
2008-11-14 08:22 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker